<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Update Table</title>

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
<!--    Navbar-->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Navbar</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="#">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Link</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        Dropdown
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <li><a class="dropdown-item" href="#">Action</a></li>
                        <li><a class="dropdown-item" href="#">Another action</a></li>
                        <li><hr class="dropdown-divider"></li>
                        <li><a class="dropdown-item" href="#">Something else here</a></li>
                    </ul>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled">Disabled</a>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-success" type="submit">Search</button>
            </form>
        </div>
    </div>
</nav>
<!--end navbar-->
<!--content-->
<div class="container">
    <h1>Article Here</h1>
    <form  th:action="@{/update/{id}(id=${student.id})}" th:object="${student}" method="post"  enctype="multipart/form-data">
        <div>
            <img id="output" width="200" th:src="${student.profile}"/>
        </div>
<div class="form-group">
    <label for="imageInput">Profile Student</label>
    <input type="file" onchange="loadFile(event)"  name="file" class="form-control" id="imageInput" aria-describedby="nameHelp">
    <!--            <small id="nameHelp" th:errors="${student.name}" class="form-text text-danger">We'll never share your name with anyone else.</small>-->
    <!--       -->
</div>
<br>
<div class="form-group">
    <label for="titleInput">Title</label>
    <input th:field="${student.title}" type="text" name="title" class="form-control" placeholder="Please Input title here!!!" id="titleInput" aria-describedby="nameHelp">
    <small id="title"  th:errors="${student.title}" class="form-text text-danger">We'll never share your name with anyone else.</small>
</div>
<br>
<div class="form-group">
    <!--            <span class="input-group-text">Description</span>-->
    <label for="desInput">Description</label>
    <!--            <input  type="text-area" name="title" class="form-control" id="desInput" aria-describedby="nameHelp">-->
    <textarea th:field="${student.description}" name="description" class="form-control" id="desInput" aria-label="With textarea"></textarea>
    <small id="des" th:errors="${student.description}" class="form-text text-danger">We'll never share your name with anyone else.</small>
</div>
<br>
<button type="submit" class="btn btn-primary">Submit</button>
</form>
</div>
<!--End content-->
<script>
    const loadFile = function (event) {
        const image = document.getElementById('output');
        image.src = URL.createObjectURL(event.target.files[0]);
    };
</script>
<!-- Option 1: Bootstrap Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>